SDL_GPUBufferCreateInfo Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUBufferUsageFlags | usage
Uint32 | size
SDL_PropertiesID | props

## Detailed Description

A structure specifying the parameters of a buffer.

Usage flags can be bitwise OR'd together for combinations of usages. Note that certain combinations are invalid, for example VERTEX and INDEX.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_CreateGPUBuffer
  SDL_GPUBufferUsageFlags

Definition at line 1695 of file SDL_gpu.h.

## Field Documentation

## props

SDL_PropertiesID SDL_GPUBufferCreateInfo::props

A properties ID for extensions. Should be 0 if no extensions are needed.

Definition at line 1700 of file SDL_gpu.h.

## size

Uint32 SDL_GPUBufferCreateInfo::size

The size in bytes of the buffer.

Definition at line 1698 of file SDL_gpu.h.

## usage

SDL_GPUBufferUsageFlags SDL_GPUBufferCreateInfo::usage

How the buffer is intended to be used by the client.

Definition at line 1697 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h